LPSCONSTELM(1)

NAME
lpsconstelm - removes constant parameters from an LPS

SYNOPSIS
lpsconstelm [OPTION]... [INFILE [OUTFILE]]

DESCRIPTION
Remove constant process parameters from the LPS in INFILE and write the result to OUTFILE. If INFILE is not present, standard input is used. If OUTFILE is not present, standard output is used.

OPTIONS

OPTION can be any of the following:

-c, --ignore-conditions
    ignore conditions by assuming they evaluate to true

-f, --instantiate-free-variables
    allow free variables to be instantiated as a side effect of the algorithm NOTE: this functionality is untested!

-QNUM, --qlimit=NUM
    limit enumeration of quantifiers to NUM variables. (Default NUM=1000, NUM=0 for unlimited).

-s, --remove-singleton-sorts
    remove parameters with single element sorts

-t, --remove-trivial-summands
    remove summands with condition false

-rNAME, --rewriter=NAME
    use rewrite strategy NAME: 'jitty' jitty rewriting (default) 'jittyc' compiled jitty rewriting 'jittyp' jitty rewriting with prover

--timings[=FILE]
    append timing measurements to FILE. Measurements are written to standard error if no FILE is provided

Standard options:

-q, --quiet
    do not display warning messages

-v, --verbose
    display short intermediate messages

-d, --debug
    display detailed intermediate messages

--log-level=LEVEL
    display intermediate messages up to and including level

-h, --help
    display help information

--version
    display version information

AUTHOR
Written by Wieger Wesselink; Frank Stappers.

REPORTING BUGS
Report bugs at <http://www.mcrl2.org/issuetracker>.

COPYRIGHT
Copyright © 2014 Technische Universiteit Eindhoven.
This is free software. You may redistribute copies of it under the terms of the Boost Software License <http://www.boost.org/LICENSE_1_0.txt>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
See also the manual at <http://www.mcrl2.org/release/user_manual/tools/lpsconstelm.html>.